searchNodes=[{"doc":"Documentation for Bitcoinex. Bitcoinex is an Elixir library supporting basic Bitcoin functionality.","ref":"Bitcoinex.html","title":"Bitcoinex","type":"module"},{"doc":"Bitcoinex.Address supports Base58 and Bech32 address encoding and validation.","ref":"Bitcoinex.Address.html","title":"Bitcoinex.Address","type":"module"},{"doc":"Decodes an address and returns the address_type.","ref":"Bitcoinex.Address.html#decode_type/2","title":"Bitcoinex.Address.decode_type/2","type":"function"},{"doc":"Accepts a public key hash, network, and address_type and returns its address.","ref":"Bitcoinex.Address.html#encode/3","title":"Bitcoinex.Address.encode/3","type":"function"},{"doc":"Checks if the address is valid. Both encoding and network is checked.","ref":"Bitcoinex.Address.html#is_valid?/2","title":"Bitcoinex.Address.is_valid?/2","type":"function"},{"doc":"Checks if the address is valid and matches the given address_type. Both encoding and network is checked.","ref":"Bitcoinex.Address.html#is_valid?/3","title":"Bitcoinex.Address.is_valid?/3","type":"function"},{"doc":"Returns a list of supported address types.","ref":"Bitcoinex.Address.html#supported_address_types/0","title":"Bitcoinex.Address.supported_address_types/0","type":"function"},{"doc":"The address_type describes the address type to use. Four address types are supported: p2pkh: Pay-to-Public-Key-Hash p2sh: Pay-to-Script-Hash p2wpkh: Pay-to-Witness-Public-Key-Hash p2wsh: Pay-To-Witness-Script-Hash","ref":"Bitcoinex.Address.html#t:address_type/0","title":"Bitcoinex.Address.address_type/0","type":"type"},{"doc":"Includes Base58 serialization and validation. Some code is inspired by: https://github.com/comboy/bitcoin-elixir/blob/develop/lib/bitcoin/base58_check.ex","ref":"Bitcoinex.Base58.html","title":"Bitcoinex.Base58","type":"module"},{"doc":"","ref":"Bitcoinex.Base58.html#append_checksum/1","title":"Bitcoinex.Base58.append_checksum/1","type":"function"},{"doc":"Decodes a Base58 encoded string into a byte array and validates checksum.","ref":"Bitcoinex.Base58.html#decode/1","title":"Bitcoinex.Base58.decode/1","type":"function"},{"doc":"Decodes a Base58 encoded string into a byte array.","ref":"Bitcoinex.Base58.html#decode_base!/1","title":"Bitcoinex.Base58.decode_base!/1","type":"function"},{"doc":"Encodes binary into a Base58 encoded string.","ref":"Bitcoinex.Base58.html#encode/1","title":"Bitcoinex.Base58.encode/1","type":"function"},{"doc":"Encodes a binary into a Base58 encoded string.","ref":"Bitcoinex.Base58.html#encode_base/1","title":"Bitcoinex.Base58.encode_base/1","type":"function"},{"doc":"Validates a Base58 checksum.","ref":"Bitcoinex.Base58.html#validate_checksum/1","title":"Bitcoinex.Base58.validate_checksum/1","type":"function"},{"doc":"Base58 encoding is only supported for p2sh and p2pkh address types.","ref":"Bitcoinex.Base58.html#t:address_type/0","title":"Bitcoinex.Base58.address_type/0","type":"type"},{"doc":"","ref":"Bitcoinex.Base58.html#t:byte_list/0","title":"Bitcoinex.Base58.byte_list/0","type":"type"},{"doc":"Includes Bech32 serialization and validation. Reference: https://github.com/bitcoin/bips/blob/master/bip-0173.mediawiki#bech32","ref":"Bitcoinex.Bech32.html","title":"Bitcoinex.Bech32","type":"module"},{"doc":"","ref":"Bitcoinex.Bech32.html#convert_bits/4","title":"Bitcoinex.Bech32.convert_bits/4","type":"function"},{"doc":"","ref":"Bitcoinex.Bech32.html#decode/2","title":"Bitcoinex.Bech32.decode/2","type":"function"},{"doc":"","ref":"Bitcoinex.Bech32.html#encode/4","title":"Bitcoinex.Bech32.encode/4","type":"function"},{"doc":"","ref":"Bitcoinex.Bech32.html#t:data/0","title":"Bitcoinex.Bech32.data/0","type":"type"},{"doc":"","ref":"Bitcoinex.Bech32.html#t:encoding_type/0","title":"Bitcoinex.Bech32.encoding_type/0","type":"type"},{"doc":"","ref":"Bitcoinex.Bech32.html#t:error/0","title":"Bitcoinex.Bech32.error/0","type":"type"},{"doc":"","ref":"Bitcoinex.Bech32.html#t:hrp/0","title":"Bitcoinex.Bech32.hrp/0","type":"type"},{"doc":"","ref":"Bitcoinex.Bech32.html#t:max_encoded_length/0","title":"Bitcoinex.Bech32.max_encoded_length/0","type":"type"},{"doc":"","ref":"Bitcoinex.Bech32.html#t:witness_program/0","title":"Bitcoinex.Bech32.witness_program/0","type":"type"},{"doc":"","ref":"Bitcoinex.Bech32.html#t:witness_version/0","title":"Bitcoinex.Bech32.witness_version/0","type":"type"},{"doc":"","ref":"Bitcoinex.Bech32.DecodeResult.html","title":"Bitcoinex.Bech32.DecodeResult","type":"module"},{"doc":"","ref":"Bitcoinex.Bech32.DecodeResult.html#add_error/2","title":"Bitcoinex.Bech32.DecodeResult.add_error/2","type":"function"},{"doc":"This naming is taken from Haskell. we will treat DecodeResult a bit like an Monad And bind function will take a function that take DecodeResult that's only without error and return DecodeResult And we can skip handling same error case for all function","ref":"Bitcoinex.Bech32.DecodeResult.html#bind/2","title":"Bitcoinex.Bech32.DecodeResult.bind/2","type":"function"},{"doc":"","ref":"Bitcoinex.Bech32.DecodeResult.html#t:t/0","title":"Bitcoinex.Bech32.DecodeResult.t/0","type":"type"},{"doc":"Contains an an extended key as documented in BIP 32 .","ref":"Bitcoinex.ExtendedKey.html","title":"Bitcoinex.ExtendedKey","type":"module"},{"doc":"derive_child uses a public or private key xkey to derive the public or private key at index idx. public key -&gt; public child private key -&gt; private child","ref":"Bitcoinex.ExtendedKey.html#derive_child_key/2","title":"Bitcoinex.ExtendedKey.derive_child_key/2","type":"function"},{"doc":"derive_extended_key uses an extended xkey and a derivation path to derive the extended key at that path","ref":"Bitcoinex.ExtendedKey.html#derive_extended_key/2","title":"Bitcoinex.ExtendedKey.derive_extended_key/2","type":"function"},{"doc":"derive_private_child uses a private key xkey to derive the private key at index idx","ref":"Bitcoinex.ExtendedKey.html#derive_private_child/2","title":"Bitcoinex.ExtendedKey.derive_private_child/2","type":"function"},{"doc":"derive_public_child uses a public or private key xkey to derive the public key at index idx","ref":"Bitcoinex.ExtendedKey.html#derive_public_child/2","title":"Bitcoinex.ExtendedKey.derive_public_child/2","type":"function"},{"doc":"display returns the extended key as a string","ref":"Bitcoinex.ExtendedKey.html#display_extended_key/1","title":"Bitcoinex.ExtendedKey.display_extended_key/1","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.html#get_child_num/1","title":"Bitcoinex.ExtendedKey.get_child_num/1","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.html#get_depth/1","title":"Bitcoinex.ExtendedKey.get_depth/1","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.html#get_fingerprint/1","title":"Bitcoinex.ExtendedKey.get_fingerprint/1","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.html#get_parent_fingerprint/1","title":"Bitcoinex.ExtendedKey.get_parent_fingerprint/1","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.html#get_prefix/1","title":"Bitcoinex.ExtendedKey.get_prefix/1","type":"function"},{"doc":"network_from_extended_key returns :testnet or :mainnet depending on the network prefix of the key.","ref":"Bitcoinex.ExtendedKey.html#network_from_extended_key/1","title":"Bitcoinex.ExtendedKey.network_from_extended_key/1","type":"function"},{"doc":"parse_extended_key takes binary or string representation of an extended key and parses it to an extended key object","ref":"Bitcoinex.ExtendedKey.html#parse_extended_key/1","title":"Bitcoinex.ExtendedKey.parse_extended_key/1","type":"function"},{"doc":"seed_to_master_private_key transforms a bip32 seed into a master extended private key","ref":"Bitcoinex.ExtendedKey.html#seed_to_master_private_key/2","title":"Bitcoinex.ExtendedKey.seed_to_master_private_key/2","type":"function"},{"doc":"serialize_extended_key takes an extended key and returns the binary","ref":"Bitcoinex.ExtendedKey.html#serialize_extended_key/1","title":"Bitcoinex.ExtendedKey.serialize_extended_key/1","type":"function"},{"doc":"to_extended_public_key takes an extended private key and returns an extended public key","ref":"Bitcoinex.ExtendedKey.html#to_extended_public_key/1","title":"Bitcoinex.ExtendedKey.to_extended_public_key/1","type":"function"},{"doc":"to_private_key takes an extended private key and returns the contained private key.","ref":"Bitcoinex.ExtendedKey.html#to_private_key/1","title":"Bitcoinex.ExtendedKey.to_private_key/1","type":"function"},{"doc":"to_public_key takes an extended key xkey and returns the public key.","ref":"Bitcoinex.ExtendedKey.html#to_public_key/1","title":"Bitcoinex.ExtendedKey.to_public_key/1","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.html#t:t/0","title":"Bitcoinex.ExtendedKey.t/0","type":"type"},{"doc":"Contains a list of integers (or the :any atom) representing a bip32 derivation path. The :any atom represents a wildcard in the derivation path. DerivationPath structs can be used by ExtendedKey.derive_extended_key to derive a child key at the given path.","ref":"Bitcoinex.ExtendedKey.DerivationPath.html","title":"Bitcoinex.ExtendedKey.DerivationPath","type":"module"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#add/2","title":"Bitcoinex.ExtendedKey.DerivationPath.add/2","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#from_string/1","title":"Bitcoinex.ExtendedKey.DerivationPath.from_string/1","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#max_hardened_child_num/0","title":"Bitcoinex.ExtendedKey.DerivationPath.max_hardened_child_num/0","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#min_hardened_child_num/0","title":"Bitcoinex.ExtendedKey.DerivationPath.min_hardened_child_num/0","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#new/0","title":"Bitcoinex.ExtendedKey.DerivationPath.new/0","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#to_string/1","title":"Bitcoinex.ExtendedKey.DerivationPath.to_string/1","type":"function"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#t:child_num/0","title":"Bitcoinex.ExtendedKey.DerivationPath.child_num/0","type":"type"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#t:hardened_child_num/0","title":"Bitcoinex.ExtendedKey.DerivationPath.hardened_child_num/0","type":"type"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#t:non_hardened_child_num/0","title":"Bitcoinex.ExtendedKey.DerivationPath.non_hardened_child_num/0","type":"type"},{"doc":"","ref":"Bitcoinex.ExtendedKey.DerivationPath.html#t:t/0","title":"Bitcoinex.ExtendedKey.DerivationPath.t/0","type":"type"},{"doc":"Includes serialization and validation for Lightning Network BOLT#11 invoices.","ref":"Bitcoinex.LightningNetwork.html","title":"Bitcoinex.LightningNetwork","type":"module"},{"doc":"See Bitcoinex.LightningNetwork.Invoice.decode/1 .","ref":"Bitcoinex.LightningNetwork.html#decode_invoice/1","title":"Bitcoinex.LightningNetwork.decode_invoice/1","type":"function"},{"doc":"A hop hint is used to help the payer route a payment to the receiver. A hint is included in BOLT#11 Invoices.","ref":"Bitcoinex.LightningNetwork.HopHint.html","title":"Bitcoinex.LightningNetwork.HopHint","type":"module"},{"doc":"","ref":"Bitcoinex.LightningNetwork.HopHint.html#t:t/0","title":"Bitcoinex.LightningNetwork.HopHint.t/0","type":"type"},{"doc":"Includes BOLT#11 Invoice serialization. Reference: https://github.com/lightningnetwork/lightning-rfc/blob/master/11-payment-encoding.md","ref":"Bitcoinex.LightningNetwork.Invoice.html","title":"Bitcoinex.LightningNetwork.Invoice","type":"module"},{"doc":"","ref":"Bitcoinex.LightningNetwork.Invoice.html#base32_to_integer/1","title":"Bitcoinex.LightningNetwork.Invoice.base32_to_integer/1","type":"function"},{"doc":"Decode accepts a Bech32 encoded string invoice and deserializes it.","ref":"Bitcoinex.LightningNetwork.Invoice.html#decode/1","title":"Bitcoinex.LightningNetwork.Invoice.decode/1","type":"function"},{"doc":"Returns the expiry of the invoice.","ref":"Bitcoinex.LightningNetwork.Invoice.html#expires_at/1","title":"Bitcoinex.LightningNetwork.Invoice.expires_at/1","type":"function"},{"doc":"","ref":"Bitcoinex.LightningNetwork.Invoice.html#t:error/0","title":"Bitcoinex.LightningNetwork.Invoice.error/0","type":"type"},{"doc":"","ref":"Bitcoinex.LightningNetwork.Invoice.html#t:t/0","title":"Bitcoinex.LightningNetwork.Invoice.t/0","type":"type"},{"doc":"Includes network-specific paramater options. Supported networks include mainnet, testnet3, and regtest.","ref":"Bitcoinex.Network.html","title":"Bitcoinex.Network","type":"module"},{"doc":"","ref":"Bitcoinex.Network.html#get_network/1","title":"Bitcoinex.Network.get_network/1","type":"function"},{"doc":"","ref":"Bitcoinex.Network.html#mainnet/0","title":"Bitcoinex.Network.mainnet/0","type":"function"},{"doc":"","ref":"Bitcoinex.Network.html#regtest/0","title":"Bitcoinex.Network.regtest/0","type":"function"},{"doc":"Returns a list of supported networks.","ref":"Bitcoinex.Network.html#supported_networks/0","title":"Bitcoinex.Network.supported_networks/0","type":"function"},{"doc":"","ref":"Bitcoinex.Network.html#testnet/0","title":"Bitcoinex.Network.testnet/0","type":"function"},{"doc":"","ref":"Bitcoinex.Network.html#t:network_name/0","title":"Bitcoinex.Network.network_name/0","type":"type"},{"doc":"","ref":"Bitcoinex.Network.html#t:t/0","title":"Bitcoinex.Network.t/0","type":"type"},{"doc":"a module for storing the list of opcodes by number and atom and defining the functions associated with each opcode","ref":"Bitcoinex.Opcode.html","title":"Bitcoinex.Opcode","type":"module"},{"doc":"","ref":"Bitcoinex.Opcode.html#opcode_atoms/0","title":"Bitcoinex.Opcode.opcode_atoms/0","type":"function"},{"doc":"","ref":"Bitcoinex.Opcode.html#opcode_nums/0","title":"Bitcoinex.Opcode.opcode_nums/0","type":"function"},{"doc":"Support for Partially Signed Bitcoin Transactions (PSBT). The format consists of key-value maps. Each map consists of a sequence of key-value records, terminated by a 0x00 byte. Reference: https://github.com/bitcoin/bips/blob/master/bip-0174.mediawiki","ref":"Bitcoinex.PSBT.html","title":"Bitcoinex.PSBT","type":"module"},{"doc":"Decodes a base64 encoded string into a PSBT.","ref":"Bitcoinex.PSBT.html#decode/1","title":"Bitcoinex.PSBT.decode/1","type":"function"},{"doc":"","ref":"Bitcoinex.PSBT.html#encode_b64/1","title":"Bitcoinex.PSBT.encode_b64/1","type":"function"},{"doc":"Decodes a binary-encoded PSBT file.","ref":"Bitcoinex.PSBT.html#from_file/1","title":"Bitcoinex.PSBT.from_file/1","type":"function"},{"doc":"","ref":"Bitcoinex.PSBT.html#separator/0","title":"Bitcoinex.PSBT.separator/0","type":"function"},{"doc":"to_file writes a PSBT to file as binary.","ref":"Bitcoinex.PSBT.html#to_file/2","title":"Bitcoinex.PSBT.to_file/2","type":"function"},{"doc":"","ref":"Bitcoinex.PSBT.html#t:t/0","title":"Bitcoinex.PSBT.t/0","type":"type"},{"doc":"Global properties of a partially signed bitcoin transaction.","ref":"Bitcoinex.PSBT.Global.html","title":"Bitcoinex.PSBT.Global","type":"module"},{"doc":"","ref":"Bitcoinex.PSBT.Global.html#parse_global/1","title":"Bitcoinex.PSBT.Global.parse_global/1","type":"function"},{"doc":"","ref":"Bitcoinex.PSBT.Global.html#serialize_global/1","title":"Bitcoinex.PSBT.Global.serialize_global/1","type":"function"},{"doc":"Input properties of a partially signed bitcoin transaction.","ref":"Bitcoinex.PSBT.In.html","title":"Bitcoinex.PSBT.In","type":"module"},{"doc":"","ref":"Bitcoinex.PSBT.In.html#parse_inputs/2","title":"Bitcoinex.PSBT.In.parse_inputs/2","type":"function"},{"doc":"","ref":"Bitcoinex.PSBT.In.html#serialize_inputs/1","title":"Bitcoinex.PSBT.In.serialize_inputs/1","type":"function"},{"doc":"Output properties of a partially signed bitcoin transaction.","ref":"Bitcoinex.PSBT.Out.html","title":"Bitcoinex.PSBT.Out","type":"module"},{"doc":"","ref":"Bitcoinex.PSBT.Out.html#parse_outputs/2","title":"Bitcoinex.PSBT.Out.parse_outputs/2","type":"function"},{"doc":"","ref":"Bitcoinex.PSBT.Out.html#serialize_outputs/1","title":"Bitcoinex.PSBT.Out.serialize_outputs/1","type":"function"},{"doc":"Contains utility functions used throughout PSBT serialization.","ref":"Bitcoinex.PSBT.Utils.html","title":"Bitcoinex.PSBT.Utils","type":"module"},{"doc":"","ref":"Bitcoinex.PSBT.Utils.html#parse_compact_size_value/1","title":"Bitcoinex.PSBT.Utils.parse_compact_size_value/1","type":"function"},{"doc":"","ref":"Bitcoinex.PSBT.Utils.html#parse_key_value/3","title":"Bitcoinex.PSBT.Utils.parse_key_value/3","type":"function"},{"doc":"","ref":"Bitcoinex.PSBT.Utils.html#serialize_kv/2","title":"Bitcoinex.PSBT.Utils.serialize_kv/2","type":"function"},{"doc":"a module for manipulating Bitcoin Scripts","ref":"Bitcoinex.Script.html","title":"Bitcoinex.Script","type":"module"},{"doc":"byte_length returns the byte length of the serialized script .","ref":"Bitcoinex.Script.html#byte_length/1","title":"Bitcoinex.Script.byte_length/1","type":"function"},{"doc":"create_multi creates a raw multisig script using m and the list of public keys.","ref":"Bitcoinex.Script.html#create_multi/2","title":"Bitcoinex.Script.create_multi/2","type":"function"},{"doc":"create_p2pk creates a p2pk script using the passed public key","ref":"Bitcoinex.Script.html#create_p2pk/1","title":"Bitcoinex.Script.create_p2pk/1","type":"function"},{"doc":"create_p2pkh creates a p2pkh script using the passed 20 - byte public key hash","ref":"Bitcoinex.Script.html#create_p2pkh/1","title":"Bitcoinex.Script.create_p2pkh/1","type":"function"},{"doc":"create_p2sh creates a p2sh script using the passed 20 - byte public key hash","ref":"Bitcoinex.Script.html#create_p2sh/1","title":"Bitcoinex.Script.create_p2sh/1","type":"function"},{"doc":"create_p2sh_multi returns both a P2SH-wrapped multisig script and the underlying raw multisig script using m and the list of public keys.","ref":"Bitcoinex.Script.html#create_p2sh_multi/2","title":"Bitcoinex.Script.create_p2sh_multi/2","type":"function"},{"doc":"create_p2sh_p2wpkh creates a p2wsh script using the passed 20 - byte public key hash","ref":"Bitcoinex.Script.html#create_p2sh_p2wpkh/1","title":"Bitcoinex.Script.create_p2sh_p2wpkh/1","type":"function"},{"doc":"create_p2tr creates a p2tr script using the passed 32 - byte public key or Point. If a point is passed, it's interpreted as q, the full witness program or taproot output key per BIP 341 rather than the keyspend pubkey.","ref":"Bitcoinex.Script.html#create_p2tr/1","title":"Bitcoinex.Script.create_p2tr/1","type":"function"},{"doc":"create_p2wpkh creates a p2wpkh script using the passed 20 - byte public key hash","ref":"Bitcoinex.Script.html#create_p2wpkh/1","title":"Bitcoinex.Script.create_p2wpkh/1","type":"function"},{"doc":"create_p2wsh creates a p2wsh script using the passed 32 - byte script hash","ref":"Bitcoinex.Script.html#create_p2wsh/1","title":"Bitcoinex.Script.create_p2wsh/1","type":"function"},{"doc":"create_p2wsh_multi returns both a P2WSH-wrapped multisig script and the underlying raw multisig script using m and the list of public keys.","ref":"Bitcoinex.Script.html#create_p2wsh_multi/2","title":"Bitcoinex.Script.create_p2wsh_multi/2","type":"function"},{"doc":"create_witness_scriptpubkey creates any witness script from a witness version and witness program . It performs no validity checks .","ref":"Bitcoinex.Script.html#create_witness_scriptpubkey/2","title":"Bitcoinex.Script.create_witness_scriptpubkey/2","type":"function"},{"doc":"display_script returns a human readable string of the script , with op_codes shown by name rather than number .","ref":"Bitcoinex.Script.html#display_script/1","title":"Bitcoinex.Script.display_script/1","type":"function"},{"doc":"empty? returns true for empty scripts , false otherwise .","ref":"Bitcoinex.Script.html#empty?/1","title":"Bitcoinex.Script.empty?/1","type":"function"},{"doc":"extract_multi_policy takes in a raw multisig script and returns the m, the number of signatures required and the n authorized public keys.","ref":"Bitcoinex.Script.html#extract_multi_policy/1","title":"Bitcoinex.Script.extract_multi_policy/1","type":"function"},{"doc":"from_address produces the scriptpubkey from an address .","ref":"Bitcoinex.Script.html#from_address/1","title":"Bitcoinex.Script.from_address/1","type":"function"},{"doc":"get_op_atom returns the atom associated with the passed opcode integer .","ref":"Bitcoinex.Script.html#get_op_atom/1","title":"Bitcoinex.Script.get_op_atom/1","type":"function"},{"doc":"get_op_num returns the integer associated with the passed opcode atom .","ref":"Bitcoinex.Script.html#get_op_num/1","title":"Bitcoinex.Script.get_op_num/1","type":"function"},{"doc":"get_script_type determines the type of a script based on its elements returns :non_standard if no type matches","ref":"Bitcoinex.Script.html#get_script_type/1","title":"Bitcoinex.Script.get_script_type/1","type":"function"},{"doc":"hash160 is a helper function which returns the hash160 digest of the serialized script, as used in P2SH scripts.","ref":"Bitcoinex.Script.html#hash160/1","title":"Bitcoinex.Script.hash160/1","type":"function"},{"doc":"is_multi? returns whether a given script is of the raw multisig format : OP_ ( INT ) [ Public Keys ] OP_ ( INT ) OP_CHECKMULTISIG","ref":"Bitcoinex.Script.html#is_multi?/1","title":"Bitcoinex.Script.is_multi?/1","type":"function"},{"doc":"is_p2pk? returns whether a given script is of the p2pk format : &lt; 33 - byte or 65 - byte pubkey &gt; OP_CHECKSIG","ref":"Bitcoinex.Script.html#is_p2pk?/1","title":"Bitcoinex.Script.is_p2pk?/1","type":"function"},{"doc":"is_p2pkh? returns whether a given script is of the p2pkh format : OP_DUP OP_HASH160 OP_PUSHBYTES_20 &lt; 20 - byte hash &gt; OP_EQUALVERIFY OP_CHECKSIG","ref":"Bitcoinex.Script.html#is_p2pkh?/1","title":"Bitcoinex.Script.is_p2pkh?/1","type":"function"},{"doc":"is_p2sh? returns whether a given script is of the p2sh format : OP_HASH160 OP_PUSHBYTES_20 &lt; 20 - byte hash &gt; OP_EQUAL","ref":"Bitcoinex.Script.html#is_p2sh?/1","title":"Bitcoinex.Script.is_p2sh?/1","type":"function"},{"doc":"is_p2tr? returns whether a given script is of the p2tr format : OP_1 OP_PUSHBYTES_32 &lt; 32 - byte hash &gt;","ref":"Bitcoinex.Script.html#is_p2tr?/1","title":"Bitcoinex.Script.is_p2tr?/1","type":"function"},{"doc":"is_p2wpkh? returns whether a given script is of the p2wpkh format : OP_0 OP_PUSHBYTES_20 &lt; 20 - byte hash &gt;","ref":"Bitcoinex.Script.html#is_p2wpkh?/1","title":"Bitcoinex.Script.is_p2wpkh?/1","type":"function"},{"doc":"is_p2wsh? returns whether a given script is of the p2wsh format : OP_0 OP_PUSHBYTES_32 &lt; 32 - byte hash &gt;","ref":"Bitcoinex.Script.html#is_p2wsh?/1","title":"Bitcoinex.Script.is_p2wsh?/1","type":"function"},{"doc":"","ref":"Bitcoinex.Script.html#is_valid_multi/2","title":"Bitcoinex.Script.is_valid_multi/2","type":"macro"},{"doc":"","ref":"Bitcoinex.Script.html#is_valid_opcode/1","title":"Bitcoinex.Script.is_valid_opcode/1","type":"function"},{"doc":"new returns an empty script object .","ref":"Bitcoinex.Script.html#new/0","title":"Bitcoinex.Script.new/0","type":"function"},{"doc":"parse_script parses a binary or hex string into a script .","ref":"Bitcoinex.Script.html#parse_script/1","title":"Bitcoinex.Script.parse_script/1","type":"function"},{"doc":"pop returns the first element of the script and the remaining script . Returns nil if script is empty","ref":"Bitcoinex.Script.html#pop/1","title":"Bitcoinex.Script.pop/1","type":"function"},{"doc":"public_key_hash takes the hash160 of the public key &#39; s compressed sec encoding . Can be used to create a pkh script .","ref":"Bitcoinex.Script.html#public_key_hash/1","title":"Bitcoinex.Script.public_key_hash/1","type":"function"},{"doc":"public_key_to_p2pkh creates a p2pkh script from a public key . All public keys are compressed .","ref":"Bitcoinex.Script.html#public_key_to_p2pkh/1","title":"Bitcoinex.Script.public_key_to_p2pkh/1","type":"function"},{"doc":"public_key_to_p2sh_p2wpkh creates a p2sh - p2wpkh script from a public key . All public keys are compressed .","ref":"Bitcoinex.Script.html#public_key_to_p2sh_p2wpkh/1","title":"Bitcoinex.Script.public_key_to_p2sh_p2wpkh/1","type":"function"},{"doc":"public_key_to_p2wpkh creates a p2wpkh script from a public key . All public keys are compressed .","ref":"Bitcoinex.Script.html#public_key_to_p2wpkh/1","title":"Bitcoinex.Script.public_key_to_p2wpkh/1","type":"function"},{"doc":"push_data returns a script with the binary data and any accompanying pushdata or pushbytes opcodes added to the front of the script .","ref":"Bitcoinex.Script.html#push_data/2","title":"Bitcoinex.Script.push_data/2","type":"function"},{"doc":"push_op pushes a single opcode to the script as an integer and returns the script .","ref":"Bitcoinex.Script.html#push_op/2","title":"Bitcoinex.Script.push_op/2","type":"function"},{"doc":"raw_combine directly concatenates two scripts with no checks .","ref":"Bitcoinex.Script.html#raw_combine/2","title":"Bitcoinex.Script.raw_combine/2","type":"function"},{"doc":"script_length returns the number of items in the script .","ref":"Bitcoinex.Script.html#script_length/1","title":"Bitcoinex.Script.script_length/1","type":"function"},{"doc":"serialize_script serializes the script into binary according to Bitcoin &#39; s standard .","ref":"Bitcoinex.Script.html#serialize_script/1","title":"Bitcoinex.Script.serialize_script/1","type":"function"},{"doc":"hash256 is a helper function which returns the hash256 digest of the serialized script, as used in P2WSH scripts.","ref":"Bitcoinex.Script.html#sha256/1","title":"Bitcoinex.Script.sha256/1","type":"function"},{"doc":"to_address converts a script object into the proper address type","ref":"Bitcoinex.Script.html#to_address/2","title":"Bitcoinex.Script.to_address/2","type":"function"},{"doc":"to_hex returns the hex of a serialized script .","ref":"Bitcoinex.Script.html#to_hex/1","title":"Bitcoinex.Script.to_hex/1","type":"function"},{"doc":"to_list returns the script as a list of items","ref":"Bitcoinex.Script.html#to_list/1","title":"Bitcoinex.Script.to_list/1","type":"function"},{"doc":"to_p2sh wraps any script in a p2sh by first hashing it (hash160) and then wrapping then script hash in a p2sh script.","ref":"Bitcoinex.Script.html#to_p2sh/1","title":"Bitcoinex.Script.to_p2sh/1","type":"function"},{"doc":"to_p2wsh converts any script into a p2wsh script by hashing it (SHA256) then wrapping the script hash as a p2wsh script.","ref":"Bitcoinex.Script.html#to_p2wsh/1","title":"Bitcoinex.Script.to_p2wsh/1","type":"function"},{"doc":"","ref":"Bitcoinex.Script.html#t:script_type/0","title":"Bitcoinex.Script.script_type/0","type":"type"},{"doc":"","ref":"Bitcoinex.Script.html#t:t/0","title":"Bitcoinex.Script.t/0","type":"type"},{"doc":"General Secp256k1 curve operations. libsecp256k1: https://github.com/bitcoin-core/secp256k1 Currently supports ECDSA public key recovery. In the future, we will NIF for critical operations. However, it is more portable to have a native elixir version.","ref":"Bitcoinex.Secp256k1.html","title":"Bitcoinex.Secp256k1","type":"module"},{"doc":"force_even_y returns the negated private key if the associated Point has an odd y. Otherwise it returns the private key","ref":"Bitcoinex.Secp256k1.html#force_even_y/1","title":"Bitcoinex.Secp256k1.force_even_y/1","type":"function"},{"doc":"Returns the y-coordinate of a secp256k1 curve point (P) using the x-coordinate. To get P(y), we solve for y in this equation: y^2 = x^3 + 7.","ref":"Bitcoinex.Secp256k1.html#get_y/2","title":"Bitcoinex.Secp256k1.get_y/2","type":"function"},{"doc":"verify_point verifies that a given point is on the secp256k1 curve","ref":"Bitcoinex.Secp256k1.html#verify_point/1","title":"Bitcoinex.Secp256k1.verify_point/1","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.Ecdsa.html","title":"Bitcoinex.Secp256k1.Ecdsa","type":"module"},{"doc":"deterministic_k implements rfc6979 and returns a deterministic k value for signatures","ref":"Bitcoinex.Secp256k1.Ecdsa.html#deterministic_k/2","title":"Bitcoinex.Secp256k1.Ecdsa.deterministic_k/2","type":"function"},{"doc":"ecdsa_recover_compact does ECDSA public key recovery.","ref":"Bitcoinex.Secp256k1.Ecdsa.html#ecdsa_recover_compact/3","title":"Bitcoinex.Secp256k1.Ecdsa.ecdsa_recover_compact/3","type":"function"},{"doc":"sign returns an ECDSA signature using the privkey and z where privkey is a PrivateKey object and z is an integer. The nonce is derived using RFC6979.","ref":"Bitcoinex.Secp256k1.Ecdsa.html#sign/2","title":"Bitcoinex.Secp256k1.Ecdsa.sign/2","type":"function"},{"doc":"sign_message returns an ECDSA signature using the privkey and &quot;Bitcoin Signed Message: &lt;msg&gt;&quot; where privkey is a PrivateKey object and msg is a binary message to be hashed. The message is hashed using hash256 (double SHA256) and the nonce is derived using RFC6979.","ref":"Bitcoinex.Secp256k1.Ecdsa.html#sign_message/2","title":"Bitcoinex.Secp256k1.Ecdsa.sign_message/2","type":"function"},{"doc":"verify whether the ecdsa signature is valid for the given message hash and public key","ref":"Bitcoinex.Secp256k1.Ecdsa.html#verify_signature/3","title":"Bitcoinex.Secp256k1.Ecdsa.verify_signature/3","type":"function"},{"doc":"Contains math utilities when dealing with secp256k1 curve points and scalars. All of the addition and multiplication uses the secp256k1 curve paramaters. Several of the jacobian multiplication and addition functions are borrowed heavily from https://github.com/starkbank/ecdsa-elixir/ .","ref":"Bitcoinex.Secp256k1.Math.html","title":"Bitcoinex.Secp256k1.Math","type":"module"},{"doc":"add accepts points p and q and, does jacobian addition to return resulting point.","ref":"Bitcoinex.Secp256k1.Math.html#add/2","title":"Bitcoinex.Secp256k1.Math.add/2","type":"function"},{"doc":"Inv performs the Extended Euclidean Algorithm to find the inverse of a number x mod n.","ref":"Bitcoinex.Secp256k1.Math.html#inv/2","title":"Bitcoinex.Secp256k1.Math.inv/2","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.Math.html#modulo/2","title":"Bitcoinex.Secp256k1.Math.modulo/2","type":"function"},{"doc":"multiply accepts a point P and scalar n and, does jacobian multiplication to return resulting point.","ref":"Bitcoinex.Secp256k1.Math.html#multiply/2","title":"Bitcoinex.Secp256k1.Math.multiply/2","type":"function"},{"doc":"pow performs integer pow, where x is raised to the power of y.","ref":"Bitcoinex.Secp256k1.Math.html#pow/2","title":"Bitcoinex.Secp256k1.Math.pow/2","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.Params.html","title":"Bitcoinex.Secp256k1.Params","type":"module"},{"doc":"Secp256k1 parameters. http://www.secg.org/sec2-v2.pdf","ref":"Bitcoinex.Secp256k1.Params.html#curve/0","title":"Bitcoinex.Secp256k1.Params.curve/0","type":"function"},{"doc":"Contains the x, y, and z of an elliptic curve point.","ref":"Bitcoinex.Secp256k1.Point.html","title":"Bitcoinex.Secp256k1.Point","type":"module"},{"doc":"has_even_y returns true if y is even and false if y is odd","ref":"Bitcoinex.Secp256k1.Point.html#has_even_y/1","title":"Bitcoinex.Secp256k1.Point.has_even_y/1","type":"function"},{"doc":"is_inf returns whether or not point P is the point at infinity, ie. P.x == P.y == 0","ref":"Bitcoinex.Secp256k1.Point.html#is_inf/1","title":"Bitcoinex.Secp256k1.Point.is_inf/1","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.Point.html#is_point/1","title":"Bitcoinex.Secp256k1.Point.is_point/1","type":"macro"},{"doc":"lift_x returns the Point P where P.x = x and P.y is even.","ref":"Bitcoinex.Secp256k1.Point.html#lift_x/1","title":"Bitcoinex.Secp256k1.Point.lift_x/1","type":"function"},{"doc":"parse_public_key parses a public key","ref":"Bitcoinex.Secp256k1.Point.html#parse_public_key/1","title":"Bitcoinex.Secp256k1.Point.parse_public_key/1","type":"function"},{"doc":"sec serializes a compressed public key to binary","ref":"Bitcoinex.Secp256k1.Point.html#sec/1","title":"Bitcoinex.Secp256k1.Point.sec/1","type":"function"},{"doc":"serialize_public_key serializes a compressed public key to string","ref":"Bitcoinex.Secp256k1.Point.html#serialize_public_key/1","title":"Bitcoinex.Secp256k1.Point.serialize_public_key/1","type":"function"},{"doc":"x_bytes returns the binary encoding of the x value of the point","ref":"Bitcoinex.Secp256k1.Point.html#x_bytes/1","title":"Bitcoinex.Secp256k1.Point.x_bytes/1","type":"function"},{"doc":"x_hex returns the hex-encoded x value of the point","ref":"Bitcoinex.Secp256k1.Point.html#x_hex/1","title":"Bitcoinex.Secp256k1.Point.x_hex/1","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.Point.html#t:t/0","title":"Bitcoinex.Secp256k1.Point.t/0","type":"type"},{"doc":"Contains an integer used to create a Point and sign .","ref":"Bitcoinex.Secp256k1.PrivateKey.html","title":"Bitcoinex.Secp256k1.PrivateKey","type":"module"},{"doc":"new creates a private key from an integer","ref":"Bitcoinex.Secp256k1.PrivateKey.html#new/1","title":"Bitcoinex.Secp256k1.PrivateKey.new/1","type":"function"},{"doc":"returns the base58check encoded private key as a string assumes all keys are compressed","ref":"Bitcoinex.Secp256k1.PrivateKey.html#parse_wif/1","title":"Bitcoinex.Secp256k1.PrivateKey.parse_wif/1","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.PrivateKey.html#parse_wif!/1","title":"Bitcoinex.Secp256k1.PrivateKey.parse_wif!/1","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.PrivateKey.html#parse_wif_bin/1","title":"Bitcoinex.Secp256k1.PrivateKey.parse_wif_bin/1","type":"function"},{"doc":"serialize_private_key serializes a private key into hex","ref":"Bitcoinex.Secp256k1.PrivateKey.html#serialize_private_key/1","title":"Bitcoinex.Secp256k1.PrivateKey.serialize_private_key/1","type":"function"},{"doc":"to_point calculate Point from private key or integer","ref":"Bitcoinex.Secp256k1.PrivateKey.html#to_point/1","title":"Bitcoinex.Secp256k1.PrivateKey.to_point/1","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.PrivateKey.html#validate/1","title":"Bitcoinex.Secp256k1.PrivateKey.validate/1","type":"function"},{"doc":"wif returns the base58check encoded private key as a string assumes all keys are compressed","ref":"Bitcoinex.Secp256k1.PrivateKey.html#wif!/2","title":"Bitcoinex.Secp256k1.PrivateKey.wif!/2","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.PrivateKey.html#t:t/0","title":"Bitcoinex.Secp256k1.PrivateKey.t/0","type":"type"},{"doc":"Schnorr-specific secp256k1 operations","ref":"Bitcoinex.Secp256k1.Schnorr.html","title":"Bitcoinex.Secp256k1.Schnorr","type":"module"},{"doc":"","ref":"Bitcoinex.Secp256k1.Schnorr.html#sign/3","title":"Bitcoinex.Secp256k1.Schnorr.sign/3","type":"function"},{"doc":"verify whether the schnorr signature is valid for the given message hash and public key","ref":"Bitcoinex.Secp256k1.Schnorr.html#verify_signature/3","title":"Bitcoinex.Secp256k1.Schnorr.verify_signature/3","type":"function"},{"doc":"Contains r,s in signature.","ref":"Bitcoinex.Secp256k1.Signature.html","title":"Bitcoinex.Secp256k1.Signature","type":"module"},{"doc":"der_parse_signature parses a DER binary to a Signature","ref":"Bitcoinex.Secp256k1.Signature.html#der_parse_signature/1","title":"Bitcoinex.Secp256k1.Signature.der_parse_signature/1","type":"function"},{"doc":"der_serialize_signature returns the DER serialization of an ecdsa signature","ref":"Bitcoinex.Secp256k1.Signature.html#der_serialize_signature/1","title":"Bitcoinex.Secp256k1.Signature.der_serialize_signature/1","type":"function"},{"doc":"accepts a compact signature and returns a Signature containing r,s","ref":"Bitcoinex.Secp256k1.Signature.html#parse_signature/1","title":"Bitcoinex.Secp256k1.Signature.parse_signature/1","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.Signature.html#serialize_signature/1","title":"Bitcoinex.Secp256k1.Signature.serialize_signature/1","type":"function"},{"doc":"","ref":"Bitcoinex.Secp256k1.Signature.html#t:t/0","title":"Bitcoinex.Secp256k1.Signature.t/0","type":"type"},{"doc":"SegWit address serialization.","ref":"Bitcoinex.Segwit.html","title":"Bitcoinex.Segwit","type":"module"},{"doc":"Decodes an address and returns its network, witness version, and witness program.","ref":"Bitcoinex.Segwit.html#decode_address/1","title":"Bitcoinex.Segwit.decode_address/1","type":"function"},{"doc":"Encodes an address string.","ref":"Bitcoinex.Segwit.html#encode_address/3","title":"Bitcoinex.Segwit.encode_address/3","type":"function"},{"doc":"","ref":"Bitcoinex.Segwit.html#get_segwit_script_pubkey/2","title":"Bitcoinex.Segwit.get_segwit_script_pubkey/2","type":"function"},{"doc":"Simpler Interface to check if address is valid","ref":"Bitcoinex.Segwit.html#is_valid_segswit_address?/1","title":"Bitcoinex.Segwit.is_valid_segswit_address?/1","type":"function"},{"doc":"","ref":"Bitcoinex.Segwit.html#t:data/0","title":"Bitcoinex.Segwit.data/0","type":"type"},{"doc":"","ref":"Bitcoinex.Segwit.html#t:error/0","title":"Bitcoinex.Segwit.error/0","type":"type"},{"doc":"","ref":"Bitcoinex.Segwit.html#t:hrp/0","title":"Bitcoinex.Segwit.hrp/0","type":"type"},{"doc":"","ref":"Bitcoinex.Segwit.html#t:network/0","title":"Bitcoinex.Segwit.network/0","type":"type"},{"doc":"","ref":"Bitcoinex.Segwit.html#t:witness_program/0","title":"Bitcoinex.Segwit.witness_program/0","type":"type"},{"doc":"","ref":"Bitcoinex.Segwit.html#t:witness_version/0","title":"Bitcoinex.Segwit.witness_version/0","type":"type"},{"doc":"Bitcoin on-chain transaction structure. Supports serialization of transactions.","ref":"Bitcoinex.Transaction.html","title":"Bitcoinex.Transaction","type":"module"},{"doc":"Decodes a transaction in a hex encoded string into binary.","ref":"Bitcoinex.Transaction.html#decode/1","title":"Bitcoinex.Transaction.decode/1","type":"function"},{"doc":"Returns the TxID of the given tranasction. TxID is sha256(sha256(nVersion | txins | txouts | nLockTime))","ref":"Bitcoinex.Transaction.html#transaction_id/1","title":"Bitcoinex.Transaction.transaction_id/1","type":"function"},{"doc":"","ref":"Bitcoinex.Transaction.html#t:t/0","title":"Bitcoinex.Transaction.t/0","type":"type"},{"doc":"Transaction Input part of an on-chain transaction.","ref":"Bitcoinex.Transaction.In.html","title":"Bitcoinex.Transaction.In","type":"module"},{"doc":"","ref":"Bitcoinex.Transaction.In.html#parse_inputs/2","title":"Bitcoinex.Transaction.In.parse_inputs/2","type":"function"},{"doc":"","ref":"Bitcoinex.Transaction.In.html#serialize_inputs/1","title":"Bitcoinex.Transaction.In.serialize_inputs/1","type":"function"},{"doc":"","ref":"Bitcoinex.Transaction.In.html#t:t/0","title":"Bitcoinex.Transaction.In.t/0","type":"type"},{"doc":"Transaction Output part of an on-chain transaction.","ref":"Bitcoinex.Transaction.Out.html","title":"Bitcoinex.Transaction.Out","type":"module"},{"doc":"","ref":"Bitcoinex.Transaction.Out.html#output/1","title":"Bitcoinex.Transaction.Out.output/1","type":"function"},{"doc":"","ref":"Bitcoinex.Transaction.Out.html#parse_outputs/2","title":"Bitcoinex.Transaction.Out.parse_outputs/2","type":"function"},{"doc":"","ref":"Bitcoinex.Transaction.Out.html#serialize_outputs/1","title":"Bitcoinex.Transaction.Out.serialize_outputs/1","type":"function"},{"doc":"","ref":"Bitcoinex.Transaction.Out.html#t:t/0","title":"Bitcoinex.Transaction.Out.t/0","type":"type"},{"doc":"Utilities for when dealing with transaction objects.","ref":"Bitcoinex.Transaction.Utils.html","title":"Bitcoinex.Transaction.Utils","type":"module"},{"doc":"Returns the Variable Length Integer used in serialization. Reference: https://en.bitcoin.it/wiki/Protocol_documentation#Variable_length_integer","ref":"Bitcoinex.Transaction.Utils.html#get_counter/1","title":"Bitcoinex.Transaction.Utils.get_counter/1","type":"function"},{"doc":"","ref":"Bitcoinex.Transaction.Utils.html#serialize/1","title":"Bitcoinex.Transaction.Utils.serialize/1","type":"function"},{"doc":"Returns the serialized variable length integer.","ref":"Bitcoinex.Transaction.Utils.html#serialize_compact_size_unsigned_int/1","title":"Bitcoinex.Transaction.Utils.serialize_compact_size_unsigned_int/1","type":"function"},{"doc":"Witness structure part of an on-chain transaction.","ref":"Bitcoinex.Transaction.Witness.html","title":"Bitcoinex.Transaction.Witness","type":"module"},{"doc":"","ref":"Bitcoinex.Transaction.Witness.html#parse_witness/2","title":"Bitcoinex.Transaction.Witness.parse_witness/2","type":"function"},{"doc":"","ref":"Bitcoinex.Transaction.Witness.html#serialize_witness/1","title":"Bitcoinex.Transaction.Witness.serialize_witness/1","type":"function"},{"doc":"Wtiness accepts a binary and deserializes it.","ref":"Bitcoinex.Transaction.Witness.html#witness/1","title":"Bitcoinex.Transaction.Witness.witness/1","type":"function"},{"doc":"","ref":"Bitcoinex.Transaction.Witness.html#t:t/0","title":"Bitcoinex.Transaction.Witness.t/0","type":"type"},{"doc":"Contains useful utility functions used in Bitcoinex.","ref":"Bitcoinex.Utils.html","title":"Bitcoinex.Utils","type":"module"},{"doc":"","ref":"Bitcoinex.Utils.html#double_sha256/1","title":"Bitcoinex.Utils.double_sha256/1","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#encode_int/1","title":"Bitcoinex.Utils.encode_int/1","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#hash160/1","title":"Bitcoinex.Utils.hash160/1","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#hex_to_bin/1","title":"Bitcoinex.Utils.hex_to_bin/1","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#int_to_big/2","title":"Bitcoinex.Utils.int_to_big/2","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#int_to_little/2","title":"Bitcoinex.Utils.int_to_little/2","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#little_to_int/1","title":"Bitcoinex.Utils.little_to_int/1","type":"function"},{"doc":"pads binary according to the byte length and the padding type. A binary can be padded with leading or trailing zeros.","ref":"Bitcoinex.Utils.html#pad/3","title":"Bitcoinex.Utils.pad/3","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#replicate/2","title":"Bitcoinex.Utils.replicate/2","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#sha256/1","title":"Bitcoinex.Utils.sha256/1","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#tagged_hash/2","title":"Bitcoinex.Utils.tagged_hash/2","type":"function"},{"doc":"","ref":"Bitcoinex.Utils.html#xor_bytes/2","title":"Bitcoinex.Utils.xor_bytes/2","type":"function"},{"doc":"The pad_type describes the padding to use.","ref":"Bitcoinex.Utils.html#t:pad_type/0","title":"Bitcoinex.Utils.pad_type/0","type":"type"}]